flex-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Frédéric THOMAS <webdoubl...@hotmail.com>
Subject RE: locale problems w/ eclipse and SDK 4.9
Date Wed, 06 Feb 2013 12:10:36 GMT

Hi,

If it happened, sorry ! what was the issues ? did you attached a sample project demonstrating
the problem ?

Thanks,
Frédéric THOMAS

> Date: Wed, 6 Feb 2013 16:13:57 +0530
> Subject: Re: locale problems w/ eclipse and SDK 4.9
> From: jagan.s@sybrant.com
> To: dev@flex.apache.org
> 
> When I raised an issue about this in JIRA, They have closed it as "Not an
> Issue". :(
> 
> 
> On Wed, Feb 6, 2013 at 7:20 AM, Frédéric THOMAS <webdoublefx@hotmail.com>wrote:
> 
> >
> > Thank you very much for having raised this issue, we don't do anything at
> > time without users raising something we haven't seen before.
> >
> > Frédéric THOMAS
> >
> > > Date: Tue, 5 Feb 2013 19:28:16 +0100
> > > From: astronaute.pro@gmail.com
> > > To: dev@flex.apache.org
> > > Subject: Re: locale problems w/ eclipse and SDK 4.9
> > >
> > > Right on spot, it works now, thank you both of you :)
> > >
> > > On 05/02/2013 18:54, Frédéric THOMAS wrote:
> > > > Bingo once again Alex :)
> > > >
> > > > @Adnan, it should be enought you:
> > > >
> > > > - Open /framework/flex-config.xml
> > > > - Go to the line 83 and replace it with
> > "<path-element>locale/{locale}</path-element>"
> > > > - change the SDK to 4.x in the project properties and change back to
> > 4.9
> > > >
> > > > @Alex, I'll apply that to the /ide/flashbuilder/configflex-config.xml
> > tomorrow only (I've got my billard tourment tonight :P)
> > > >
> > > > Thanks,
> > > > Frédéric THOMAS
> > > >
> > > >> From: aharui@adobe.com
> > > >> To: dev@flex.apache.org
> > > >> Date: Tue, 5 Feb 2013 09:17:42 -0800
> > > >> Subject: Re: locale problems w/ eclipse and SDK 4.9
> > > >>
> > > >> Maybe the locales folder isn't in the library-path?  Check
> > flex-config.xml
> > > >> and compiler options.
> > > >>
> > > >>
> > > >> On 2/5/13 8:59 AM, "Frédéric THOMAS" <webdoublefx@hotmail.com>
wrote:
> > > >>
> > > >>>> I'm confused, is he saying fr_FR isn't recognized or just
that
> > bundles
> > > >>> couldn't be found?
> > > >>>
> > > >>> Translated from French, the error description:
> > > >>> Description Resources path location Type
> > > >>> Unable to resolve resource bundle "containers" for locale "fr_FR".
> > Unknow
> > > >>> error
> > > >>>
> > > >>> It does the same with containers, core, controls, effects, styles...
> > > >>>
> > > >>>> Have him check the locales folder and see if it is properly
> > populated for
> > > >>> fr_FR
> > > >>>
> > > >>> I've got the same problem with eclipse and the 4.9, so, I was
able
> > able to
> > > >>> check and the .rb are in the relative locale folders.
> > > >>>
> > > >>> - I tried that with other locales, en_EN, it_IT, same result,
it
> > works with
> > > >>> 4.8 or 4.9 and IntelliJ.
> > > >>>
> > > >>> -Fred
> > > >>>
> > > >>>
> > > >>> -----Original Message-----
> > > >>> From: Alex Harui [mailto:aharui@adobe.com]
> > > >>> Sent: Tuesday, February 05, 2013 5:17 PM
> > > >>> To: dev@flex.apache.org
> > > >>> Subject: Re: locale problems w/ eclipse and SDK 4.9
> > > >>>
> > > >>> I'm confused, is he saying fr_FR isn't recognized or just that
> > bundles
> > > >>> couldn't be found?  Have him check the locales folder and see
if it
> > is
> > > >>> properly populated for fr_FR
> > > >>>
> > > >>>
> > > >>> On 2/5/13 4:47 AM, "Frédéric Thomas" <frederic.thomas@systar.com>
> > wrote:
> > > >>>
> > > >>>> Hi,
> > > >>>>
> > > >>>> Someone (adnan) reported me its Flash Builder project using
SDK 4.9
> > > >>>> (installed from the installer) with the locale as fr_FR didn't
work
> > > >>>> because the compiler complained it was impossible to resolve
> > resources
> > > >>>> bundles containers, core, etc... for the regional parameter
fr_FR.
> > > >>>>
> > > >>>> Well, few days ago, testing the 4.9 in maven, I had locale
issues as
> > > >>>> well, I realized that the apache and experimental resource
bundles
> > > >>>> didn't exist for many locales, I created dummy in the develop
> > branch.
> > > >>>> I thought the problem he reported me came from the same kind
of
> > > >>>> issues, I did a test in eclipse with 4.9/4.10: Same errors,
the same
> > > >>>> project with IntelliJ has no issue.
> > > >>>>
> > > >>>> Someone's got an idea ? can it be a makeApacheFlexFlashBuilder
> > problem
> > > >>>> ? (I don't use to work with flashbuilder).
> > > >>>>
> > > >>>> -Fred
> > > >>> --
> > > >>> Alex Harui
> > > >>> Flex SDK Team
> > > >>> Adobe Systems, Inc.
> > > >>> http://blogs.adobe.com/aharui
> > > >>>
> > > >>>
> > > >> --
> > > >> Alex Harui
> > > >> Flex SDK Team
> > > >> Adobe Systems, Inc.
> > > >> http://blogs.adobe.com/aharui
> > > >>
> > > >
> > >
> >
> >
> 
> 
> 
> -- 
> *
> Regards,
> S. Jagan  Langa* *|* *Team Lead*
> *Sybrant Technologies Pvt Ltd*
> 
> Skype: seesamjagan
 		 	   		  
Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message